org.apache.solr.common.util

## Class FastJavaBinDecoder

- java.lang.Object
- - org.apache.solr.common.util.FastJavaBinDecoder

All Implemented Interfaces:
  DataEntry.FastDecoder

    public class FastJavaBinDecoder
    extends Object
    implements DataEntry.FastDecoder

### Nested Class Summary

Nested Classes
`class` `FastJavaBinDecoder.EntryImpl`
`static class` `FastJavaBinDecoder.Tag`

### Constructor Summary

Constructors
Constructor and Description
`FastJavaBinDecoder()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Object` `decode(DataEntry.EntryListener listener)`
`static DataEntry.EntryListener` `getEntryListener()`
`static void` `main(String[] args)`
`FastJavaBinDecoder` `withInputStream(InputStream is)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FastJavaBinDecoder

    public FastJavaBinDecoder()

### Method Detail

#### withInputStream

    public FastJavaBinDecoder withInputStream(InputStream is)

Specified by:
  `withInputStream` in interface `DataEntry.FastDecoder`

#### decode

    public Object decode(DataEntry.EntryListener listener)
                  throws IOException

Specified by:
  `decode` in interface `DataEntry.FastDecoder`
Throws:
  `IOException`

#### main

    public static void main(String[] args)

#### getEntryListener

    public static DataEntry.EntryListener getEntryListener()